import * as core from "@terrascript/core";

export interface DsSitesArgs {}

export class DsSites extends core.Data<DsSitesArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String, { computed: true, kind: "array" })
  public ids!: core.Array<string> | core.ArrayOut<core.StringOut>;

  constructor(name: string, args?: DsSitesArgs) {
    super(name, "aws_outposts_sites", args);
  }

  public override getNamespace(): string {
    return "aws_outposts";
  }
}
